package com.trade.service.thirdparty.sop.dto;

import java.util.List;

/**
 * sop 企业详细信息接口返回实体
 */
public class SOPEnterpriseDetail {
    /* 企业基础信息 */
    private SOPEnterprisInfo enterprisInfo;
    /* 企业经营异常 */
    private List<SOPEnterpriseException> enterpriseExceptions;
    /* 企业裁判文书 */
    private List<SOPJudgementDocument> judgementDocuments;
    /* 法院公告 */
    private List<SOPCourtAnnouncement> courtAnnouncements;
    /* 被执行人 */
    private List<SOPEnterpriseExecutedInfo> enterpriseExecutedInfos;
    /* 失信人信息 */
    private List<SOPDishonestExecuted> dishonestExecuteds;
    /* 股东信息 */
    private List<SOPPartnerInfoResult> partnerInfoResults;

    public SOPEnterprisInfo getEnterprisInfo() {
        return enterprisInfo;
    }

    public void setEnterprisInfo(SOPEnterprisInfo enterprisInfo) {
        this.enterprisInfo = enterprisInfo;
    }

    public List<SOPEnterpriseException> getEnterpriseExceptions() {
        return enterpriseExceptions;
    }

    public void setEnterpriseExceptions(List<SOPEnterpriseException> enterpriseExceptions) {
        this.enterpriseExceptions = enterpriseExceptions;
    }

    public List<SOPJudgementDocument> getJudgementDocuments() {
        return judgementDocuments;
    }

    public void setJudgementDocuments(List<SOPJudgementDocument> judgementDocuments) {
        this.judgementDocuments = judgementDocuments;
    }

    public List<SOPCourtAnnouncement> getCourtAnnouncements() {
        return courtAnnouncements;
    }

    public void setCourtAnnouncements(List<SOPCourtAnnouncement> courtAnnouncements) {
        this.courtAnnouncements = courtAnnouncements;
    }

    public List<SOPEnterpriseExecutedInfo> getEnterpriseExecutedInfos() {
        return enterpriseExecutedInfos;
    }

    public void setEnterpriseExecutedInfos(List<SOPEnterpriseExecutedInfo> enterpriseExecutedInfos) {
        this.enterpriseExecutedInfos = enterpriseExecutedInfos;
    }

    public List<SOPDishonestExecuted> getDishonestExecuteds() {
        return dishonestExecuteds;
    }

    public void setDishonestExecuteds(List<SOPDishonestExecuted> dishonestExecuteds) {
        this.dishonestExecuteds = dishonestExecuteds;
    }

    public List<SOPPartnerInfoResult> getPartnerInfoResults() {
        return partnerInfoResults;
    }

    public void setPartnerInfoResults(List<SOPPartnerInfoResult> partnerInfoResults) {
        this.partnerInfoResults = partnerInfoResults;
    }
}
